GnuCash 2.2.2 has some Perl requirements

Kevin Buckley kevin.m.buckley at gmail.com
Tue Jan 15 01:52:32 PST 2008


On Jan 14, 2008 9:22 AM, Kevin Buckley <kevin.m.buckley at gmail.com> wrote:
>
>
> Couple of developments on this.
>
> Firstly, just to point out that although the current instructions do mention
> the extra Perl modules, the reference is made wrt the online-banking
> functionality which I had turned off at the configure stage.
>
> Secondly, compiling with --enable-debug did allow me to use the
> 2.2.2 application without requiring the Perl modules, although one still
> sees  the mention of them in one of the threads the application starts.
>
> I'm going to bounce my experiences off of the gnucash mailing list
> but I would be interested to hear of experiences with compiling gnucash,
> especially if folk have any of the Perl modules already installed at the point
> where they built the application.
>

Deploying GnuCash 2.2.3 into the cut-down environment mentioned in the
earliar emails, ie not installing the Perl modules required for online
banking saw the code compile, install and run without problem.

It seems this stems from a known bug in GnuCash 2.2.2.



More information about the blfs-dev mailing list